Method: networks.lines.create
Stay organized with collections
Save and categorize content based on your preferences.
HTTP request
POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*}/lines
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. The parent resource where this line will be created. Format: "networks/{network}"
|
Query parameters
| Parameters |
lineId |
string
Required. Identifier of the line to create.
|
Request body
The request body contains an instance of Line.
Response body
If successful, the response body contains a newly created instance of Line.
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2025-01-14 UTC.
[null,null,["Last updated 2025-01-14 UTC."],[],["This documentation describes the process of creating a Line resource via an HTTP POST request. The request URL includes a `parent` path parameter, specifying the network, and a required `lineId` query parameter, defining the line's identifier. The request body contains the Line data. A successful request returns the newly created Line instance in the response body.\n"]]